/*
 * gamehandler.h
 */

#ifndef GAMEHANDLER_H
#define GAMEHANDLER_H

#include <gnome.h>
#include "defines.h"

struct gamehandler
{
    gint rolls[SLOTS];
    gint rolls_stored[SLOTS];
    gint turn;
    gint gameflow_status;
    gint current_player;
    gchar *player_name[MAX_PLAYERS];
    gboolean player_is_done[MAX_PLAYERS];
    gint player_num;

} gamehandler;

struct result
{
    gint pasch;
    gint erg;
    gint numbers[6];
} result;

void
init_gamehandler(GtkWidget *widget);

void
gamehandler_reset_values(void);

void
gamehandler_new_game(void);

gint
gamehandler_get_random_number(void);

void
gamehandler_handle_roll(int *rolls, GtkWidget *parent);

void
gamehandler_select_die(int which);

void
gamehandler_quicksort(int feld[], int anf, int ende);

void
gamehandler_process_turn(void);

gint
gamehandler_get_value(int move);

void
gamehandler_next_player(void);

GtkWidget*
gamehandler_query_mainwidget(void);

#endif
